MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026865Open CASCADE[OCCT] OCCT:Configurationpublic2015-11-13 12:032016-04-20 15:51
Reporteribs 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026865: Configuration, CMake - ensure consistency between FILES and actual content of inc and src folders
DescriptionCMake generation process of OCCT solution does not remove existing old copies of headers that might have been removed from OCCT sources.

Furthermore, it copies all headers found in the package directory, regardless of whether they are listed in the FILES file of the package.

it should be improved to ensure consistency:

- Only headers listed in FILES should be copied / linked to inc.
- All files found in package directory but not listed in FILES should be reported (warning).
- Headers found in inc but not in FILES of any package should be removed (with warning message).
Steps To ReproduceN/A
TagsNo tags attached.
Test case number
Attached Files

- Relationships
child of 0026800closedbugmaster CMake and genproj - ensure consistency between FILES and actual content of inc and src folders 

-  Notes
(0048135)
git (administrator)
2015-11-13 12:18

Branch CR26865 has been created by ibs.

SHA-1: b08010c7624eafdcda00c82e568f360634f8bd81


Detailed log of new commits:

Author: ibs
Date: Tue Nov 10 11:49:08 2015 +0300

    0026865: Configuration, CMake - ensure consistency between FILES and actual content of inc and src folders
    
    headers from inc folder are being checked for using in further building process
    parse FILES file to collect header files for inc folder
(0048138)
ibs (developer)
2015-11-13 12:38

dear ski,
please review CR26865 branch of OCCT git
(0048139)
git (administrator)
2015-11-13 12:40

Branch CR26865 has been updated forcibly by ibs.

SHA-1: b4cc650a1d31fb1efd8b7dda4ab9fc6882991572
(0048158)
git (administrator)
2015-11-13 15:01

Branch CR26865 has been updated by ibs.

SHA-1: 6c1b3e476ac9894281006a11e5a71a4dad719d71


Detailed log of new commits:

Author: ibs
Date: Fri Nov 13 14:57:46 2015 +0300

    during cleaning inc folder, do not remove the headers with name not containing their package name

(0048229)
ski (developer)
2015-11-16 16:28

Dear ibs,

"- All files found in package directory but not listed in FILES should be reported (warning)."

It seems that only header files are processed as in description.
(0048234)
git (administrator)
2015-11-16 17:03

Branch CR26865 has been updated by ibs.

SHA-1: f021af564273b5ea4fe8ecac15cb5d04615111c3


Detailed log of new commits:

Author: ibs
Date: Mon Nov 16 16:53:24 2015 +0300

    FILES is parsed not only for headers files
    
    Warning is emitted when a file in folder is not involved to corresponding FILES file
    lex and yacc file added StepFile/FILES file

(0048235)
ibs (developer)
2015-11-16 17:05

dear ski,

your remark has been considered. Now each file from a package directory is checked for involving to FILES file
(0048239)
ski (developer)
2015-11-16 17:26

No remarks, please test.
(0048241)
ibs (developer)
2015-11-16 17:34

dear bugmaster,
please check compilation, testing is not needed.
(0053132)
git (administrator)
2016-04-17 14:19

Branch CR26865 has been deleted by kgv.

SHA-1: f021af564273b5ea4fe8ecac15cb5d04615111c3

- Related Changesets
occt: master d94d80e5
Timestamp: 2015-11-10 08:49:08
Author: ibs
Committer: bugmaster
Details ] Diff ]
0026865: Configuration, CMake - ensure consistency between FILES and actual content of inc and src folders

headers from inc folder are being checked for using in further building process
parse FILES file to collect header files for inc folder

during cleaning inc folder, do not remove the headers with name not containing their package name

FILES is parsed not only for headers files

Warning is emitted when a file in folder is not involved to corresponding FILES file
lex and yacc file added StepFile/FILES file

Small correction
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-11-13 12:03 ibs New Issue
2015-11-13 12:03 ibs Assigned To => ibs
2015-11-13 12:06 ibs Relationship added child of 0026800
2015-11-13 12:09 ibs Description Updated View Revisions
2015-11-13 12:18 git Note Added: 0048135
2015-11-13 12:38 ibs Note Added: 0048138
2015-11-13 12:38 ibs Assigned To ibs => ski
2015-11-13 12:38 ibs Status new => resolved
2015-11-13 12:38 ibs Steps to Reproduce Updated View Revisions
2015-11-13 12:40 git Note Added: 0048139
2015-11-13 15:01 git Note Added: 0048158
2015-11-16 16:28 ski Note Added: 0048229
2015-11-16 16:28 ski Assigned To ski => ibs
2015-11-16 16:28 ski Status resolved => feedback
2015-11-16 17:03 git Note Added: 0048234
2015-11-16 17:05 ibs Note Added: 0048235
2015-11-16 17:05 ibs Assigned To ibs => ski
2015-11-16 17:05 ibs Status feedback => resolved
2015-11-16 17:26 ski Note Added: 0048239
2015-11-16 17:26 ski Assigned To ski => bugmaster
2015-11-16 17:26 ski Status resolved => reviewed
2015-11-16 17:34 ibs Note Added: 0048241
2015-11-23 17:14 bugmaster Changeset attached => occt master d94d80e5
2015-11-23 17:14 bugmaster Status reviewed => verified
2015-11-23 17:14 bugmaster Resolution open => fixed
2016-04-17 14:19 git Note Added: 0053132
2016-04-20 15:42 aiv Fixed in Version => 7.0.0
2016-04-20 15:51 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker